> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar campos personalizados de processos



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json get /law-suit-custom-fields/
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /law-suit-custom-fields/:
    get:
      tags:
        - Law Suit Custom Fields
      summary: Listar campos personalizados de processos
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    name:
                      type: string
                    type:
                      type: string
                      enum:
                        - text
                        - longText
                        - date
                        - time
                        - dateTime
                        - number
                        - select
                        - multiSelect
                    options:
                      type: array
                      items:
                        type: string
                      nullable: true
                    isArchived:
                      type: boolean
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                  required:
                    - id
                    - name
                    - type
                    - options
                    - isArchived
                    - createdAt
                    - updatedAt
                  additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````